%define api 2.0
%define major 0
%define libname %mklibname phodav %{api} %{major}
%define devname %mklibname phodav -d

Summary:	A WebDAV server using libsoup
Name:		phodav
Version:	2.0
Release:	1
License:	LGPLv2+
Group:		System/Servers
Url:		https://wiki.gnome.org/phodav
Source0:	http://download.gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	asciidoc
BuildRequires:	docbook-dtd45-xml
BuildRequires:	intltool
BuildRequires:	xmlto
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(systemd)

%description
phodav is a WebDAV server implementation using libsoup (RFC 4918).

#----------------------------------------------------------------------------

%package i18n
Summary:	Translation files for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
phodav is a WebDAV server implementation using libsoup (RFC 4918).

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library to serve files with WebDAV
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libname}
phodav is a WebDAV server implementation using libsoup (RFC 4918).
This package provides the library.

%files -n %{libname}
%{_libdir}/libphodav-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%doc NEWS COPYING
%{_includedir}/libphodav-%{api}
%{_libdir}/libphodav-%{api}.so
%{_libdir}/pkgconfig/libphodav-%{api}.pc
%{_datadir}/gtk-doc/html/phodav

#----------------------------------------------------------------------------

%package -n chezdav
Summary:	A simple WebDAV server program
Group:		System/Servers

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*

#----------------------------------------------------------------------------

%package -n spice-webdavd
Summary:	Spice daemon for the DAV channel
Group:		System/Servers
Requires(post,preun):	rpm-helper

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%files -n spice-webdavd
%{_sbindir}/spice-webdavd
%{_udevrulesdir}/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service

%post -n spice-webdavd
%_post_service spice-webdavd

%preun -n spice-webdavd
%_preun_service spice-webdavd

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--with-avahi \
	--with-udevdir=/lib/udev/ \
	--with-systemdsystemunitdir=%{_unitdir} \
	--disable-static
%make

%install
%make_install

%find_lang %{name} --with-gnome


%changelog

* Tue Oct 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0-1
- (e2ccb36) Build requires docbook-dtd45-xml


